/* Google Fonts(Poppins) */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap");

:root {
  --theme-color: #3867d6;
}

* {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  border: none;
  text-decoration: none;
  text-transform: capitalize;
  transition: 0.2s linear;
}

html {
  font-size: 62.5%;
  overflow-x: hidden;
  scroll-padding-top: 7rem;
  scroll-behavior: smooth;
}

body {
  background: #fff;
}

section {
  
  padding-top:15rem;
}

.header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 10000;
  background-color: #fff;
  background-image:linear-gradient(to right,#fff,#fff,#fff,#F8FBFE,#EAF7FB,#EAF1FB,#E0EAF8,#CEDEF4);
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1.5rem 9%;
}

.header .top-right {
    position: absolute;
    top: 23px; /* Adjust the vertical positioning */
    right: 9%; /* Align with the navigation padding */
    display: flex;
    gap: 20px;
    font-size: 1.7rem;
}

.header .top-right a {
    text-decoration: none;
	text-transform:lowercase;
    color: #e06a09;
    font-weight: 500;
}

.header .top-right a:hover {
  color: var(--theme-color);
}

.header .logo {
  float: left;
  margin-right: 46px;
  overflow:hidden;
}

.header .navbar a {
  font-size: 2rem;
  color: purple;
  margin-left: 2rem;
}

.header .navbar a:hover {
  color: var(--theme-color);
}

#menu-bars {
  font-size: 3rem;
  color: #fff;
  cursor: pointer;
  display: none;
}

.bh{
	margin-top:2.2rem;
	align-items:center;
}

.bckm	{
	position: relative;
	display: flex;
	align-items: center;
    justify-content: center;
    overflow: hidden;
  background-image: url("./images/J17.jpg");
  height:210px;
  width:100%;
  background-size: cover;
  background-position: center;
}

.bckm::before{
	content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Adjust opacity as needed */
    z-index: 1;
}

.bckm .heading {
	position: relative;
  text-align: center;
  padding-bottom: 3rem;
  color: #FF9966;
  text-shadow: 2px 2px 10px rgba(0, 0, 0, 0.7); /* Adds depth */
    z-index: 2;
  text-transform: uppercase;
  font-size: 5rem;
  padding-right:111px;
}

.bckm .heading span {
  color: var(--theme-color);
  text-transform: uppercase;
}


.bh h1{
	padding-top:40px;
	padding-bottom:20px;
	text-align:center;
	margin:auto;
	font-size:72px;
	font-weight:bold;
	color: blue;
}
	

.footer {
	padding: 2rem 9%;
  background: #111;
}

.footer .box-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
  gap: 1.5rem;
}

.footer .box-container .box h3 {
  font-size: 2.5rem;
  padding: 1rem 0;
  color: #fff;
}

.footer .box-container .box a {
  display: block;
  font-size: 1.5rem;
  padding: 1rem 0;
  color: #eee;
}

.footer .box-container .box a i {
  padding-right: 0.5rem;
  color: var(--theme-color);
}

.footer .box-container .box a:hover i {
  padding-right: 1.5rem;
  color: #fff;
}

.footer .credit {
  text-align: center;
  border-top: 0.1rem solid #222;
  color: #fff;
  padding: 2rem;
  padding-top: 2.5rem;
  margin-top: 1rem;
  font-size: 2rem;
}

.footer .credit span {
  color: var(--theme-color);
}

html::-webkit-scrollbar {
  width: 1rem;
}

html::-webkit-scrollbar-track {
  background: #444;
}

html::-webkit-scrollbar-thumb {
  background: var(--theme-color);
  border-radius: 5rem;
}


.theme-toggler {
  position: fixed;
  top: 25rem;
  right: -20rem;
  background: #FFF4EA;
  z-index: 1000;
  width: 20rem;
  text-align: center;
}

.theme-toggler.active {
  right: 0;
}

.theme-toggler h3 {
  color: #6A6AFF;
  padding: 1rem 0;
  font-size: 2rem;
}

.theme-toggler .buttons {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 1rem;
  padding: 1rem;
}

.theme-toggler .buttons .theme-btn {
  height: 5rem;
  width: 5rem;
  border-radius: 50%;
  cursor: pointer;
}

.theme-toggler .toggle-btn {
  position: absolute;
  top: 0;
  left: -5.9rem;
  padding: 1.3rem 1.5rem;
  background: skyblue;
  cursor: pointer;
}

.theme-toggler .toggle-btn i {
  color: #fff;
  font-size: 3rem;
  animation: spin 4s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(360deg);
  }
}

/* media queries  */

@media (max-width: 991px) {
  html {
    font-size: 55%;
  }

  .header {
    padding: 1.5rem 2rem;
  }

  section {
    padding: 2rem;
  }
}

@media (max-width: 768px) {
  #menu-bars {
    display: initial;
  }

  .header .navbar {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    border-top: 0.1rem solid #222;
    background: #333;
    clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
  }

  .header .navbar.active {
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
  }

  .fa-times {
    transform: rotate(180deg);
  }

  .header .navbar a {
    display: flex;
    background: #222;
    border-radius: 0.5rem;
    padding: 1.3rem;
    margin: 1.3rem;
    font-size: 2rem;
  }

  .home .content h3 {
    font-size: 4rem;
  }
}

@media (max-width: 450px) {
  html {
    font-size: 50%;
  }
   form .inputBox input {
    width: 100%;
  }
}